using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace TeleWave.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class ShowMetadata : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "MetadataExternalId",
                table: "Shows",
                type: "character varying(64)",
                maxLength: 64,
                nullable: true
            );

            migrationBuilder.AddColumn<string>(
                name: "MetadataProvider",
                table: "Shows",
                type: "character varying(16)",
                maxLength: 16,
                nullable: true
            );

            migrationBuilder.AddColumn<string>(
                name: "PosterPath",
                table: "Shows",
                type: "character varying(256)",
                maxLength: 256,
                nullable: true
            );

            migrationBuilder.AddColumn<int>(
                name: "Year",
                table: "Shows",
                type: "integer",
                nullable: true
            );
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(name: "MetadataExternalId", table: "Shows");

            migrationBuilder.DropColumn(name: "MetadataProvider", table: "Shows");

            migrationBuilder.DropColumn(name: "PosterPath", table: "Shows");

            migrationBuilder.DropColumn(name: "Year", table: "Shows");
        }
    }
}
